Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.mysql
Class MySQLPkGenerator

    java.lang.Object
      org.apache.cayenne.dba.JdbcPkGenerator
          org.apache.cayenne.dba.mysql.MySQLPkGenerator

All Implemented Interfaces:
  PkGenerator

    public class MySQLPkGenerator

extends JdbcPkGenerator

Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`DEFAULT_PK_CACHE_SIZE, pkCache, pkCacheSize`

Constructor Summary
`MySQLPkGenerator()`

Method Summary
`protected String` | `dropAutoPkString()`
`protected long` | `getLongPrimaryKey(Statement statement, String entityName)`
`protected int` | `getPrimaryKey(Statement statement, String entityName)` Deprecated. since 3.0
`protected long` | `longPkFromDatabase(DataNode node, DbEntity entity)` Overrides superclass's implementation to perform locking of the primary key lookup table.
`protected int` | `pkFromDatabase(DataNode node, DbEntity ent)` Deprecated. since 3.0
`protected String` | `pkTableCreateString()`
`protected SQLException` | `processSQLException(SQLException exception, SQLException parent)` Appends a new SQLException to the chain.

Methods inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`autoPkTableExists, binaryPK, createAutoPk, createAutoPkStatements, dropAutoPk, dropAutoPkStatements, generatePk, generatePkForDbEntity, getPkCacheSize, pkCreateString, pkDeleteString, pkSelectString, pkUpdateString, reset, runUpdate, setPkCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySQLPkGenerator

    public MySQLPkGenerator()

Method Detail

### dropAutoPkString

    protected String dropAutoPkString()

  Overrides:
    `dropAutoPkString` in class `JdbcPkGenerator`

### longPkFromDatabase

    protected long longPkFromDatabase(DataNode node,
                                      DbEntity entity)
                               throws Exception

  Overrides superclass's implementation to perform locking of the primary key lookup table.

  Overrides:
    `longPkFromDatabase` in class `JdbcPkGenerator`
  Throws:
    `Exception`
  Since:
    3.0

### pkFromDatabase

    protected int pkFromDatabase(DataNode node,
                                 DbEntity ent)
                          throws Exception

  Deprecated. since 3.0

  Overrides superclass's implementation to perform locking of the primary key lookup table.

  Overrides:
    `pkFromDatabase` in class `JdbcPkGenerator`
  Throws:
    `Exception`

### processSQLException

    protected SQLException processSQLException(SQLException exception,
                                               SQLException parent)

  Appends a new SQLException to the chain. If parent is null, uses the exception as the chain root.

### pkTableCreateString

    protected String pkTableCreateString()

  Overrides:
    `pkTableCreateString` in class `JdbcPkGenerator`

### getPrimaryKey

    protected int getPrimaryKey(Statement statement,
                                String entityName)
                         throws SQLException

  Deprecated. since 3.0

  Throws:
    `SQLException`

### getLongPrimaryKey

    protected long getLongPrimaryKey(Statement statement,
                                     String entityName)
                              throws SQLException

  Throws:
    `SQLException`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.